<%--
  Created by IntelliJ IDEA.
  User: Administrator
  Date: 2020/9/11
  Time: 12:54
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.util.*" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%@ page import="org.omg.CosCollection.IteratorInBetween" %>
<%
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();
    Connection conn = null;
    Vector v_list = null;
    String page_number = pub.trimNull(request.getParameter("page_number"));
    if ("".equals(page_number)) page_number = "1";
    String page_size = pub.trimNull(request.getParameter("page_size"));
    if ("".equals(page_size)) page_size = "10";
    String seg_search = pub.trimNull(request.getParameter("seg"));
    String seg_end_search = pub.trimNull(request.getParameter("seg_end"));
    String end_num_rules_search = pub.trimNull(request.getParameter("end_num_rules"));
    List list_s = new ArrayList();
    try {
        StringBuffer sb = new StringBuffer();
        sb.append("select * from tp_special_num_rules where 1=1 ");
        if(!"".equals(seg_search)){
            sb.append(" and seg >= ?");
            list_s.add(seg_search);
        }
        if(!"".equals(seg_end_search)){
            sb.append(" and seg_end <= ?");
            list_s.add(seg_end_search);
        }
        if(!"".equals(end_num_rules_search)){
            sb.append(" and end_num_rules = ?");
            list_s.add(end_num_rules_search);
        }
        sb.append(" order by createtime desc");
        conn = com.censoft.db.DBUtil.getConnection();
        v_list = cf.doPageQueryWithCount(conn, sb.toString(), page_number, page_size, null, list_s.toArray());
        if (v_list == null) {
            out.println("查询特殊号码规则出错" + cf.getMsg());
            return;
        }
    } catch (Exception e) {
        out.println("查询特殊号码规则异常" + e);
        return;
    } finally {
        if (conn != null) {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
    }
    Hashtable ht_row = (Hashtable) v_list.get(0);
    String rowCnt = pub.trimNull((String) ht_row.get("ROWCOUNT"));
    String pageCnt = pub.trimNull((String) ht_row.get("PAGECOUNT"));
    String telSegmentUrl="./seg_add-t.jsp";
%>
<div>
    <a class="btn btn-primary radius" onclick="addRules('新增规则','<%=telSegmentUrl%>');" >
        新增规则
    </a>
</div>
<div class="table-list">
    <table class="table  table-hover table-bg">
        <thead>
        <tr class="text-c">
            <th width="30px">序号</th>
            <th width="150px">规则名称</th>
            <th width="150px">所属号段</th>
            <th width="150px">尾号规则</th>
            <th width="150px">操作</th>
        </tr>
        </thead>
        <tbody>
        <%
            if (v_list != null && v_list.size() > 0) {
                    for (int i = 1; i < v_list.size(); i++) {
                        Hashtable ht = (Hashtable) v_list.get(i);
                        String id = pub.trimNull((String) ht.get("id"));
                        String rules_name = pub.trimNull((String) ht.get("rules_name"));
                        String seg = pub.trimNull((String) ht.get("seg"));
                        String seg_end = pub.trimNull((String) ht.get("seg_end"));
                        String segAll="";
                        if(!"".equals(seg)){
                             segAll=seg+"~"+seg_end;
                        }
                        String end_num_rules = pub.trimNull((String) ht.get("end_num_rules"));
                        %>
                        <tr <%if(i%2==0){%>id="tr_doub"<%}else{%>id="tr_single"<%}%> class="text-c">
                            <td><%=i%>
                            </td>
                            <td><%=rules_name%>
                            </td>
                            <td><%=segAll%>
                            </td>
                            <td><%=end_num_rules%>
                            </td>
                            <td>
                                <a title="修改" href="javascript:void(0);" onclick="updateById('<%=id%>');" class="ml-5" >
                                    <i class="Hui-iconfont">修改</i>
                                </a>
                                <a title="设置规则" href="javascript:void(0);" onclick="setRules('<%=id%>','<%=seg%>','<%=seg_end%>','<%=end_num_rules%>');" class="ml-5" >
                                    <i class="Hui-iconfont">设置规则</i>
                                </a>
                                <a title="删除" href="javascript:void(0);" onclick="deleteById('<%=id%>');" class="ml-5" >
                                    <i class="Hui-iconfont">删除</i>
                                </a>
                            </td>
                        </tr>
                        <%
                    }
            }
        %>
        </tbody>
    </table>
</div>
<jsp:include page="/common/page_ajax.jsp" >
    <jsp:param name="page_number" value="<%=page_number%>" />
    <jsp:param name="rowCnt" value="<%=rowCnt%>" />
    <jsp:param name="page_size" value="<%=page_size%>" />
</jsp:include>